Page MenuHomePhabricator

On single edit tab wikis: Switching from VE to the wikitext editor (discarding changes) while having "always give me the visual editor" as your preference causes VE to load up again
Closed, ResolvedPublic8 Story Points

Description

<Kemayo> Krenair: Fun single-edit-tab interaction... if you have the "always give me the visual editor" preference set, then clicking the edit-source VE toolbar button opens up the wikitext editor and immediately does a redirect to visual editor again.

Details

Related Gerrit Patches:

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedJules78120
OpenNone
ResolvedKrenair
Resolved AlexMonk-WMF
OpenNone
ResolvedKrenair
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair

Event Timeline

Krenair created this task.Jan 21 2016, 6:31 PM
Krenair raised the priority of this task from to Needs Triage.
Krenair updated the task description. (Show Details)
Krenair added subscribers: Krenair, DLynch.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 21 2016, 6:31 PM
Krenair renamed this task from On single edit tab wikis: Switching from VE to the wikitext editor while having "always give me the visual editor" as your preference causes VE to load up again to On single edit tab wikis: Switching from VE to the wikitext editor (discarding changes) while having "always give me the visual editor" as your preference causes VE to load up again.Jan 23 2016, 5:27 AM
Krenair claimed this task.
Krenair set Security to None.

Change 265903 had a related patch set uploaded (by Alex Monk):
Don't try to load VE over the top of the wikitext editor we just switched to

https://gerrit.wikimedia.org/r/265903

Elitre added a subscriber: Elitre.Jan 26 2016, 3:00 PM

Change 265903 merged by jenkins-bot:
Don't try to load VE over the top of the wikitext editor we just switched to

https://gerrit.wikimedia.org/r/265903

Jdforrester-WMF closed this task as Resolved.Jan 26 2016, 8:22 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.